[android-components](../../index.md) / [mozilla.components.feature.intent](../index.md) / [IntentProcessor](index.md) / [process](./process.md)

# process

`fun process(intent: `[`Intent`](https://developer.android.com/reference/android/content/Intent.html)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/intent/src/main/java/mozilla/components/feature/intent/IntentProcessor.kt#L112)

Processes the given intent by invoking the registered handler.

### Parameters

`intent` - the intent to process

**Return**
true if the intent was processed, otherwise false.

